Page MenuHomePhabricator

Add support for task forces to PageAssessments
Closed, ResolvedPublic3 Story Points

Description

Per T153790#2897180, we should add support for task forces to PageAssessments. This will involve adding a new field to the page_assessments_projects table, and possibly adding a new parameter to the assessment parser function.

Event Timeline

kaldari created this task.Dec 28 2016, 5:40 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 28 2016, 5:40 AM
kaldari triaged this task as Normal priority.Dec 28 2016, 5:41 AM
kaldari moved this task from Untriaged to Epic backlog on the Community-Tech board.

Change 329386 had a related patch set uploaded (by Kaldari):
Add parent and banner fields to projects table

https://gerrit.wikimedia.org/r/329386

kaldari updated the task description. (Show Details)Dec 30 2016, 12:28 AM
Restricted Application added a subscriber: revi. · View Herald TranscriptDec 30 2016, 12:28 AM
kaldari claimed this task.Jan 2 2017, 11:31 PM
kaldari updated the task description. (Show Details)
kaldari set the point value for this task to 3.
kaldari edited projects, added Community-Tech-Sprint; removed Community-Tech.
kaldari moved this task from Ready to Needs Review/Feedback on the Community-Tech-Sprint board.

Change 330185 had a related patch set uploaded (by Kaldari):
Adding support for task forces to the assessment processing code

https://gerrit.wikimedia.org/r/330185

Change 329386 merged by jenkins-bot:
Add database support for subprojects

https://gerrit.wikimedia.org/r/329386

Change 330185 merged by jenkins-bot:
Adding support for task forces to the assessment processing code

https://gerrit.wikimedia.org/r/330185

kaldari closed this task as Resolved.Feb 1 2017, 3:24 AM

This is just waiting for the schema change now.

DannyH moved this task from Epic backlog to Archive on the Community-Tech board.Mar 2 2017, 6:37 PM